summaryrefslogtreecommitdiff
path: root/packages/gpsd/files/om-gta01
diff options
context:
space:
mode:
authorGraeme Gregory <dp@xora.org.uk>2008-03-26 13:59:50 +0000
committerGraeme Gregory <dp@xora.org.uk>2008-03-26 13:59:50 +0000
commit9cb14015c6fb87732da5bb5f35b45fb1a0774a3f (patch)
treec650c00ded8abecc05b76fa0592c37ccb6b01a14 /packages/gpsd/files/om-gta01
parent0ba1b284a1d780c7c2948cb994e53d607d124611 (diff)
fic-gta0? : renamed fic-gta0? to om-gta0? to reflect true name of device
Diffstat (limited to 'packages/gpsd/files/om-gta01')
-rw-r--r--packages/gpsd/files/om-gta01/.mtn2git_empty0
-rw-r--r--packages/gpsd/files/om-gta01/gps-hardware41
-rw-r--r--packages/gpsd/files/om-gta01/gpsd-default3
-rw-r--r--packages/gpsd/files/om-gta01/restart_gllin.sh6
4 files changed, 50 insertions, 0 deletions
diff --git a/packages/gpsd/files/om-gta01/.mtn2git_empty b/packages/gpsd/files/om-gta01/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/gpsd/files/om-gta01/.mtn2git_empty
diff --git a/packages/gpsd/files/om-gta01/gps-hardware b/packages/gpsd/files/om-gta01/gps-hardware
new file mode 100644
index 0000000000..6490f52c27
--- /dev/null
+++ b/packages/gpsd/files/om-gta01/gps-hardware
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# Copyright Matthias Hentges <devel@hentges.net> (c) 2008
+# License: GPL (see http://www.gnu.org/licenses/gpl.txt for a copy of the license)
+#
+# Filename: gps-hardware
+# Date: 20080103 (YMD)
+#
+#################################################################################
+#
+# 20080103 - v0.0.1 - Initial release
+
+if ! test -e /home/root/gllin/gllin
+then
+ echo -e "\n\ngllin GPS driver for Neo1973 not found,"
+ echo "please install the gllin package from"
+ echo "http://3rdparty.downloads.openmoko.org/gllin/"
+ echo ""
+ exit 1
+fi
+
+
+do_start() {
+ /home/root/gllin/gllin >/var/log/gllin.log 2>&1 &
+ sleep 1
+}
+
+do_stop() {
+ gllin_PIDs="`ps ax | grep "/home/root/gllin" | grep -v grep | awk '{print $1}'`"
+ test -n "$gllin_PIDs" && kill $gllin_PIDs
+}
+
+do_status() {
+ ps ax | grep -v grep | grep -q gllin && echo "ready" || echo "unknown"
+}
+
+case "$1" in
+ start) do_start ;;
+ stop) do_stop ;;
+ status) do_status ;;
+esac
diff --git a/packages/gpsd/files/om-gta01/gpsd-default b/packages/gpsd/files/om-gta01/gpsd-default
new file mode 100644
index 0000000000..abd35927e5
--- /dev/null
+++ b/packages/gpsd/files/om-gta01/gpsd-default
@@ -0,0 +1,3 @@
+# If you must specify a non-NMEA driver, uncomment and modify the next line
+#GPSD_OPTS=
+GPS_DEV="/tmp/nmeaNP"
diff --git a/packages/gpsd/files/om-gta01/restart_gllin.sh b/packages/gpsd/files/om-gta01/restart_gllin.sh
new file mode 100644
index 0000000000..50810c3583
--- /dev/null
+++ b/packages/gpsd/files/om-gta01/restart_gllin.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+/etc/init.d/gps-hardware stop
+sleep 1
+/etc/init.d/gps-hardware start
+